#
# Specfile for Orpie, a curses-based RPN calculator
#

Name:           orpie
Version:        1.5.2
Release:        1%{?dist}
Summary:        A fullscreen console-based RPN calculator

Group:          Applications/Engineering
License:        GPLv2
URL:            http://www.eecs.umich.edu/~pelzlpj/orpie/

################################################################################

# Source:         http://www.eecs.umich.edu/~pelzlpj/orpie/%{name}-%{version}.tar.gz
Source:		http://pessimization.com/software/orpie/%{name}-%{version}.tar.gz
Patch0:         orpie-1.5.1-gsl.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

################################################################################

BuildRequires:  ocaml-camlp4-devel
BuildRequires:  gsl-devel >= 1.9
BuildRequires:  ncurses-devel
BuildRequires:  ocaml-gsl-devel
# BuildRequires:  ocaml-lacaml-devel

Requires:       ocaml >= 3.07
Requires:       gsl   >= 1.9
Requires:       ocaml-camlp4-devel
Requires:       ocaml-gsl
# Requires:       ocaml-lacaml

################################################################################

%description
Orpie is a fullscreen console-based RPN calculator that uses the curses
library.  Its operation is similar to that of modern HP calculators, but data
entry has been optimized for efficiency on a PC keyboard. Its features include
extensive scientific calculator functionality, command completion, and a
visible interactive stack.

################################################################################

%prep

%setup -q
%patch0 -p0 -b .gsl

# Replace static lib paths with %{_lib} so we build properly on x86_64
# systems, where the libs are actually in lib64.
sed -i -e 's#/lib/#/%{_lib}/#' configure
sed -i -e 's#/lib'\''#/%{_lib}'\''#' configure

################################################################################

%build

%configure

make %{?_smp_mflags}

################################################################################

%install

rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

################################################################################

%clean

rm -rf $RPM_BUILD_ROOT

################################################################################

%files
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/orpierc
%doc doc/manual.html doc/manual.pdf doc/manual.tex.in doc/TODO README COPYING ChangeLog
%{_bindir}/*
%{_mandir}/man[^3]/*

################################################################################

%changelog
* Sat Apr 12 2014 J. Randall Owens <jrowens@rs4.ghiapet.net> - 1.5.2-1
- update to version 1.5.2

* Mon Dec 28 2009 J. Randall Owens <jrowens@randy-fedlaptop.ghiapet.net> - 1.5.1-5
- Update for FC12 using patch from FreeBSD port

* Mon Aug 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.5.1-4
- fix license tag

* Thu Jun  5 2008 Richard W.M. Jones <rjones@redhat.com> - 1.5.1-3
- BR camlp4 -> ocaml-camlp4-devel

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.5.1-2
- Autorebuild for GCC 4.3


* Sun Sep 16 2007   Chris Petersen <rpm@forevermore.net>                 1.5.1-1
- Update to version 1.5.1

* Fri Sep  8 2006   Chris Petersen <rpm@forevermore.net>                 1.4.3-5
- Rebuild for FC6 glibc update

* Fri May 19 2006   Chris Petersen <rpm@forevermore.net>                 1.4.3-4
- Change the summary to remove a redundant word

* Sun May 14 2006   Chris Petersen <rpm@forevermore.net>                 1.4.3-3
- Fix a few dependencies as suggested during the fedora review process

* Thu May 11 2006   Chris Petersen <rpm@forevermore.net>                 1.4.3-1
- Update spec to match fedora guidelines

* Mon Aug 2  2004   Chris Petersen <rpm@forevermore.net>
- Minor changes to spec format for better consistency and readability

* Tue Jun 15 2004   Chris Petersen <rpm@forevermore.net>
- Update RPM for 1.2rc1, and include orpie-curses-keys man info

* Tue Apr 6  2004   Chris Petersen <rpm@forevermore.net>
- Built initial RPM

